tigase.jaxmpp.core.client.xmpp.modules.httpfileupload

## Class HttpFileUploadModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.httpfileupload.HttpFileUploadModule

- All Implemented Interfaces:
    ContextAware, XmppModule

      public class HttpFileUploadModule
      extends Object
      implements XmppModule, ContextAware

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `HttpFileUploadModule.DiscoveryResultHandler`
    `static class` | `HttpFileUploadModule.RequestUploadSlotHandler`
    `static class` | `HttpFileUploadModule.Slot`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpFileUploadModule()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addFileInfoFormToStanza(Stanza stanza, String fileName, long size, String type)`
    `static void` | `addOobLink(Stanza stanza, String url)`
    `void` | `findHttpUploadComponents(BareJID domain, HttpFileUploadModule.DiscoveryResultHandler handler)`
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `void` | `process(Element element)` Main method of module.
    `void` | `requestUploadSlot(JID componentJid, String filename, Long size, String contentType, HttpFileUploadModule.RequestUploadSlotHandler callback)`
    `void` | `setContext(Context context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpFileUploadModule

          public HttpFileUploadModule()

  - ### Method Detail

    - #### addFileInfoFormToStanza

          public static void addFileInfoFormToStanza(Stanza stanza,
                                                     String fileName,
                                                     long size,
                                                     String type)
                                              throws XMLException

      Throws:
        `XMLException`

    - #### addOobLink

          public static void addOobLink(Stanza stanza,
                                        String url)
                                 throws XMLException

      Throws:
        `XMLException`

    - #### findHttpUploadComponents

          public void findHttpUploadComponents(BareJID domain,
                                               HttpFileUploadModule.DiscoveryResultHandler handler)
                                        throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Specified by:
        `getCriteria` in interface `XmppModule`
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Specified by:
        `getFeatures` in interface `XmppModule`
      Returns:
        array of features

    - #### process

          public void process(Element element)
                       throws XMPPException,
                              XMLException,
                              JaxmppException

      Description copied from interface: `XmppModule`
      Main method of module. Module will process incoming stanza by call this method.
      Specified by:
        `process` in interface `XmppModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `XMPPException`
        `XMLException`
        `JaxmppException`

    - #### requestUploadSlot

          public void requestUploadSlot(JID componentJid,
                                        String filename,
                                        Long size,
                                        String contentType,
                                        HttpFileUploadModule.RequestUploadSlotHandler callback)
                                 throws JaxmppException

      Throws:
        `JaxmppException`

    - #### setContext

          public void setContext(Context context)

      Specified by:
        `setContext` in interface `ContextAware`

Copyright © 2006–2023 Tigase. All rights reserved.